# Uses of Class
org.eclipse.ecf.provider.remoteservice.generic.RemoteCallImpl

Packages that use RemoteCallImpl
Package
Description
org.eclipse.ecf.provider.remoteservice.generic

## Uses of RemoteCallImpl in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that return RemoteCallImpl
Modifier and Type
Method
Description
`static RemoteCallImpl`
RemoteCallImpl.`createRemoteCall(String clazz, String method, Object[] parameters, long timeout)`
`RemoteCallImpl`
Request.`getCall()`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type RemoteCallImpl
Modifier and Type
Method
Description
`Object`
RemoteServiceRegistrationImpl.`callService(RemoteCallImpl call)`
`protected Object`
RegistrySharedObject.`invokeLocal(RemoteServiceRegistrationImpl reg, RemoteCallImpl call)`
Constructors in org.eclipse.ecf.provider.remoteservice.generic with parameters of type RemoteCallImpl
Modifier
Constructor
Description
``
`Request(ID requestContainerID, long serviceId, RemoteCallImpl call)`
``
`Request(ID requestContainerID, long serviceId, RemoteCallImpl call, IRemoteCallListener listener)`